Home

# Class goog.graphics.CanvasImageElement

Thin wrapper for canvas image elements. This is an implementation of the goog.graphics.ImageElement interface. You should not construct objects from this constructor. The graphics will return the object for you.

extends goog.graphics.ImageElement

Instance Method Summary
| `draw(?CanvasRenderingContext2D ctx)` Draw the image. Should be treated as package scope.
| `handleImageLoad_(?Element img)` Handle an image load.
| `setPosition(number x, number y)` Update the position of the image.
| `setSize(number width, number height)` Update the size of the image.
| `setSource(string src)` Update the source of the image.